# include/xapian/expanddecider.h File Reference

Classes for filtering which terms returned by expand. More...

`#include <set>`
`#include <xapian/enquire.h>`

Include dependency graph for expanddecider.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | Xapian

## Classes

class | Xapian::ExpandDeciderFilterTerms
| One useful expand decision functor, which provides a way of filtering out a fixed list of terms from the expand set. More...
class | Xapian::ExpandDeciderAnd
| An expand decision functor which can be used to join two functors with an AND operation. More...

## Detailed Description

Classes for filtering which terms returned by expand.